function out = NLOG_chinasip(imo,imd)

sigma = 2.4;
norm_c = (255*0.02).^2;

fsize = ceil(sigma*4) * 2 + 1;
op = fspecial('log',fsize,sigma);
op = op/sum(abs(op(:)));

log_o = imfilter(imo,op,'replicate');
log_d = imfilter(imd,op,'replicate');

% log_o = max(log_o,0);
% log_d = max(log_d,0);

h = fspecial('gaussian',fsize*2, sigma*2);
sq_log_o = imfilter(log_o.^2, h,'replicate');
sq_log_d = imfilter(log_d.^2, h,'replicate');
norm_factor_o = sqrt(sq_log_o+norm_c);
norm_factor_d = sqrt(sq_log_d+norm_c);
%     h = fspecial('gaussian',fsize, sigma_vec(i));
%     norm_factor_o = sqrt(max(imfilter(imo.^2, h, 'replicate')-imfilter(imo, h, 'replicate').^2, 0)+norm_c);
%     norm_factor_d = sqrt(max(imfilter(imd.^2, h, 'replicate')-imfilter(imd, h, 'replicate').^2, 0)+norm_c);

log_norm_o = log_o./norm_factor_o;
log_norm_d = log_d./norm_factor_d;
out_rmse = mean2((log_norm_o-log_norm_d).^2);
c = 0.72;
out_cor = mean2((2*log_norm_o.*log_norm_d+c^2)./(log_norm_o.^2+log_norm_d.^2+c^2));

out = [sqrt(out_rmse), out_cor];